declare("runlua", runlua or {})

runlua.codeframe = iup.multiline {
	EXPAND = "YES",
	BGCOLOR = "0 0 0 100 *",
	SIZE = HUDSize(0.75, 0.75),
}

runlua.clearframe = iup.stationbutton {
	title = "Clear",
	action = function(self)
		runlua.codeframe.value = ""
	end,
}

runlua.execute = iup.stationbutton {
	title = "Execute",
	action = function(self)
		SaveSystemNotes(runlua.codeframe.value, 6050500)
		dofile("Settings/" .. GetPlayerName() .. "/system6050500notes.txt")
	end,
}

runlua.reload = iup.stationbutton {
	title = "Reload",
	action = function(self)
		ReloadInterface()
	end,
}

runlua.dialog = iup.dialog {
	TOPMOST = "YES",
	TITLE = "lua in-game multiline code execution utility",
	iup.stationsubframe {
		iup.vbox {
			runlua.codeframe,
			iup.hbox {
				alignment = "ARIGHT",
				runlua.clearframe,
				runlua.reload,
				runlua.execute,
			},
		},
	},
}

function runlua.showdialog()
	ShowDialog(runlua.dialog)
end

RegisterUserCommand("runlua", runlua.showdialog)